Bug 49680 - Perl script are not running on Win32, Apache 2.2.15 & mod_fcgid
Summary: Perl script are not running on Win32, Apache 2.2.15 & mod_fcgid
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_fcgid (show other bugs)
Version: 2.2.15
Hardware: PC Windows XP
: P2 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-07-30 15:23 UTC by Roey
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roey 2010-07-30 15:23:15 UTC
To reproduce:

Install apache 2.2.15 with mod_fcgid on Windows XP SP3 
Install activestae perl 5.8.9
Install FCGI module version 0.71
Create the perl example script in the mod_fcgid reference page 
configure apache to run at a a specific url
open browser and try it 
is not working 
You'll get error log with the following content

[Thu Jul 29 11:26:07 2010] [warn] [client 127.0.0.1] (OS 109)The pipe 
has been ended. : mod_fcgid: get overlap result error 
[Thu Jul 29 11:26:07 2010] [error] [client 127.0.0.1] Premature end of 
script headers: foo.pl 


when running the script as plain cgi it works fine
When I turned to the older mod_fastcgi module it works just fine 

This same problem was reproduced with apache 2.0.63 and apache 2.0.52 too
Comment 1 Shlomi Fish 2011-09-01 13:06:30 UTC
I can reproduce this here on either Windows XP SP 3 x86-32 or on Windows Vista x86-64. I am using Strawberry Perl. Here are some links I found about it:

* http://foswiki.org/Support/Question198

* http://www.perlmonks.org/?node_id=885115

* http://www.gossamer-threads.com/lists/apache/dev/376795

Can anyone please look into it?

Regards,

-- Shlomi Fish
Comment 2 William A. Rowe Jr. 2011-09-01 14:56:24 UTC
Thanks for the report Roey... commenting so this shows up on my radar.
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:58 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.